summaryrefslogtreecommitdiff
path: root/Debian
diff options
context:
space:
mode:
authorJoey Hess <joey@kitenet.net>2012-01-15 14:22:28 -0400
committerJoey Hess <joey@kitenet.net>2012-01-15 14:24:21 -0400
commit78d072a8d942283723d94fbfb8f40e61d1f7fbe4 (patch)
tree0a8849bb506ab43493fc111e24268f7ba8878b73 /Debian
parent6e71ad3aef68ca74a891f61e7a1ed34b053c0dc0 (diff)
v9 done
* Finalized v9 mode, which is the new recommended default. (But continuing to use v8 is also fine.) * It is now deprecated for a package to not specify a compatability level in debian/compat. Debhelper now warns if this is not done, and packages without a debian/compat will eventually FTBFS.
Diffstat (limited to 'Debian')
-rw-r--r--Debian/Debhelper/Dh_Lib.pm21
1 files changed, 13 insertions, 8 deletions
diff --git a/Debian/Debhelper/Dh_Lib.pm b/Debian/Debhelper/Dh_Lib.pm
index 3940c05..070c6d6 100644
--- a/Debian/Debhelper/Dh_Lib.pm
+++ b/Debian/Debhelper/Dh_Lib.pm
@@ -20,7 +20,7 @@ use vars qw(@ISA @EXPORT %dh);
&is_make_jobserver_unavailable &clean_jobserver_makeflags
&cross_command &set_buildflags &get_buildoption);
-my $max_compat=9;
+my $max_compat=10;
sub init {
my %params=@_;
@@ -332,26 +332,31 @@ sub dirname {
if (! defined $c) {
$c=1;
- if (defined $ENV{DH_COMPAT}) {
- $c=$ENV{DH_COMPAT};
- }
- elsif (-e 'debian/compat') {
- # Try the file..
+ if (-e 'debian/compat') {
open (COMPAT_IN, "debian/compat") || error "debian/compat: $!";
my $l=<COMPAT_IN>;
close COMPAT_IN;
if (! defined $l || ! length $l) {
- warning("debian/compat is empty, assuming level $c");
+ warning("debian/compat is empty, assuming level $c")
+ unless defined $ENV{DH_COMPAT};
}
else {
chomp $l;
$c=$l;
}
}
+ else {
+ warning("No compatability level specified in debian/compat");
+ warning("This package will soon FTBFS; time to fix it!");
+ }
+
+ if (defined $ENV{DH_COMPAT}) {
+ $c=$ENV{DH_COMPAT};
+ }
}
if ($c <= 4 && ! $warned_compat && ! $nowarn) {
- warning("Compatibility levels before 5 are deprecated.");
+ warning("Compatibility levels before 5 are deprecated (level $c in use)");
$warned_compat=1;
}